Subject: RE: [ANN] Creating Excel-callable DLLs with GCC - fails! -works w ith 1999-01-15 DLL !
From: "Brown, Kim" <[email-masked]>
To: "'Mumit Khan'" <[email-masked]>
Cc: "[email-masked]'" <[email-masked]>
Date: Wed, 24 Mar 1999 12:42:31 -0500

It works.

Did as you requested.  Downloaded 1999-01-15 dll.  Renamed all the copies of
the old cygwin1.dll to cygwin1.dll.old (had 3 on my system).  Replaced them
with the newly downloaded dll.  Removed old cdll.dll from system. Compiled
cdll.dll WITH the "-s" flag using "$ make".  Moved the cdll.dll to
c:\windows\system\.  Ran the excel example (works).  Checked to make sure I
was not recompiling the old MingW dll by mistake.  

Incidentally, I was not sure if the binaries created under Win95 and under
NT are identical, which is why I offered to send copies.  

Thanks, Kim 

> -----Original Message-----
> From: Mumit Khan [mailto:[email-masked]]
> Sent: Wednesday, March 24, 1999 11:52 AM
> To: Brown, Kim
> Subject: RE: [ANN] Creating Excel-callable DLLs with GCC - fails! 
> 
> 
> On Wed, 24 Mar 1999, Brown, Kim wrote:
> 
> > Tried this.  Could not make it work.  Incidentally, both 
> the C and Fortran
> > dll's work with MingW
> 
> I can think of only one more thing at this point -- the cygwin1.dll
> version. Due to plethora of problems running stock Cygwin b20.1 DLL 
> on 9x, I now use the 1999-01-15 DLL that Cygnus recommends for W9x.
> 
> It's a lot to ask, but could you do the following test -- download 
> the DLL from ftp://sourceware.cygnus.com/pub/cygwin/snapshot-19990115
> and try that instead? You should of course save your current 
> cygwin1.dll
> and replace *all* copies on disk with this new one. In general, it's
> quite a bit more stable for Win9x systems that the stock one.
> 
> If sourceware.cygnus.com is busy, try go.cygnus.com mirror site.
> 
> Thanks again.
> 
> Regards,
> Mumit
> 
> 

--
Want to unsubscribe from this list?
Send a message to [email-masked]